jv.object

## Class PsStackLayout

- java.lang.Object
- - jv.object.PsStackLayout

- All Implemented Interfaces:
    java.awt.LayoutManager, java.io.Serializable

      public final class PsStackLayout
      extends java.lang.Object
      implements java.awt.LayoutManager, java.io.Serializable

  Layout manager to place components below the previous components similar to a stack. Each component fills a horizontal line if type is vertical stack. If type is horizontal stack then components are stacked in a horizontal line.
  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    19.11.06, 1.10 revised (kp) Missing handling of insets in layout computation corrected.
    02.01.99, 1.00 created (kp)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static boolean` | `HORIZONTAL` Horizontal stack.
    `static boolean` | `VERTICAL` Vertical stack.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsStackLayout(int gap)` Create new layout manager with given gap between adjacent components.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLayoutComponent(java.lang.String name, java.awt.Component comp)`
    `void` | `layoutContainer(java.awt.Container parent)`
    `java.awt.Dimension` | `minimumLayoutSize(java.awt.Container parent)`
    `java.awt.Dimension` | `preferredLayoutSize(java.awt.Container parent)`
    `void` | `removeLayoutComponent(java.awt.Component comp)`
    `void` | `setType(boolean bVertical)` Set flag if stack is vertical (default, true) or horizontal.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERTICAL

          public static final boolean VERTICAL

      Vertical stack.
      See Also:
        Constant Field Values

    - #### HORIZONTAL

          public static final boolean HORIZONTAL

      Horizontal stack.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PsStackLayout

          public PsStackLayout(int gap)

      Create new layout manager with given gap between adjacent components.
      Parameters:
        `gap` - Gap between adjacent components.

  - ### Method Detail

    - #### setType

          public void setType(boolean bVertical)

      Set flag if stack is vertical (default, true) or horizontal.
      Parameters:
        `bVertical` - `true` if components are vertically stacked, else horizontal stack.

    - #### addLayoutComponent

          public void addLayoutComponent(java.lang.String name,
                                         java.awt.Component comp)

      Specified by:
        `addLayoutComponent` in interface `java.awt.LayoutManager`

    - #### minimumLayoutSize

          public java.awt.Dimension minimumLayoutSize(java.awt.Container parent)

      Specified by:
        `minimumLayoutSize` in interface `java.awt.LayoutManager`

    - #### preferredLayoutSize

          public java.awt.Dimension preferredLayoutSize(java.awt.Container parent)

      Specified by:
        `preferredLayoutSize` in interface `java.awt.LayoutManager`

    - #### layoutContainer

          public void layoutContainer(java.awt.Container parent)

      Specified by:
        `layoutContainer` in interface `java.awt.LayoutManager`

    - #### removeLayoutComponent

          public void removeLayoutComponent(java.awt.Component comp)

      Specified by:
        `removeLayoutComponent` in interface `java.awt.LayoutManager`

"

The software JavaView? is copyright protected. All Rights Reserved.
"